Skip to main content
GET
/
v1
/
knowledge-base
/
documents
/
{doc_id}
/
versions
/
{version_id}
/
governance-events
List a version's governance lifecycle history (newest first)
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/knowledge-base/documents/{doc_id}/versions/{version_id}/governance-events \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_type": "<string>",
      "source": "<string>",
      "actor_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "from_status": "<string>",
      "to_status": "<string>",
      "from_expires_at": "2023-11-07T05:31:56Z",
      "to_expires_at": "2023-11-07T05:31:56Z",
      "actor_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reason_code": "<string>",
      "note": "<string>",
      "request_id": "<string>",
      "trace_id": "<string>",
      "changed_fields": [
        "<string>"
      ],
      "details": {},
      "idempotency_key": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

doc_id
string<uuid>
required
version_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
GovernanceEventResponse · object[]
required
has_more
boolean
required
next_cursor
string | null